package com.steering.mes.mcp.entity;
/**
 * 数据库表HTT_LHEAT_RESULT所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2019-03-13
 */
@SuppressWarnings("serial")
public class HttLheatResultEntity implements java.io.Serializable {
    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     */
    private String resultNo = "";
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 热处理生产批次号
     */
    private String zyBatchId = "";
    /**
     * 热处理生产批次号序号
     */
    private String prodIndex = "";
    /**
     * 热处理订单编号
     */
    private String proPlanId = "";
    /**
     * 热处理订单排产序号
     */
    private String gxPlanNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 装炉时间
     */
    private String lheatEnterTime = "";
    /**
     * 出炉时间
     */
    private String lheatOutTime = "";
    /**
     * 出口温度
     */
    private String lheatExitTemp = "";
    /**
     * 节拍
     */
    private String lheatTaktTime = "";
    /**
     * 均热一区炉温曲线(路径)
     */
    private String lheatCruve1 = "";
    /**
     * 均热二区炉温曲线(路径)
     */
    private String lheatCruve2 = "";
    /**
     * 均热三区炉温曲线(路径)
     */
    private String lheatCruve3 = "";
    /**
     * 加热一区炉温曲线(路径)
     */
    private String lheatCruve4 = "";
    /**
     * 加热二区炉温曲线(路径)
     */
    private String lheatCruve5 = "";
    /**
     * 加热三区炉温曲线(路径)
     */
    private String lheatCruve6 = "";
    /**
     * 加热四区炉温曲线(路径)
     */
    private String lheatCruve7 = "";
    /**
     * 加热五区炉温曲线(路径)
     */
    private String lheatCruve8 = "";
    /**
     * 加热六区炉温曲线(路径)
     */
    private String lheatCruve9 = "";
    /**
     * 均热一区平均温度
     */
    private String lheatAvgTemp1 = "";
    /**
     * 均热二区平均温度
     */
    private String lheatAvgTemp2 = "";
    /**
     * 均热三区平均温度
     */
    private String lheatAvgTemp3 = "";
    /**
     * 加热一区平均温度
     */
    private String lheatAvgTemp4 = "";
    /**
     * 加热二区平均温度
     */
    private String lheatAvgTemp5 = "";
    /**
     * 加热三区平均温度
     */
    private String lheatAvgTemp6 = "";
    /**
     * 加热四区平均温度
     */
    private String lheatAvgTemp7 = "";
    /**
     * 加热五区平均温度
     */
    private String lheatAvgTemp8 = "";
    /**
     * 加热六区平均温度
     */
    private String lheatAvgTemp9 = "";
    /**
     * 作业支数（有效生产数量）
     */
    private String proNum = "";
    /**
     * 作业重量
     */
    private String proWt = "";
    /**
     * 废品支数
     */
    private String failNum = "";
    /**
     * 废品重量
     */
    private String failWt = "";
    /**
     * 离线支数
     */
    private String offlineNum = "";
    /**
     * 离线重量
     */
    private String offlineWt = "";
    /**
     * 返线支数
     */
    private String reNum = "";
    /**
     * 返线重量
     */
    private String reWt = "";
    /**
     * 监制人
     */
    private String producer = "";
    /**
     * 到场时间
     */
    private String producerTime = "";
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode = "";
    /**
     * 采集/录入时间
     */
    private String colTime = "";
    /**
     * 操作人
     */
    private String colUser = "";
    /**
     * 操作班次
     */
    private String colShift = "";
    /**
     * 操作班组
     */
    private String colGroup = "";
    /**
     * 操作时间
     */
    private String createTime = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 生产(年月日)
     */
    private String proYearMonthDay = "";
    /**
     * 结算日期（年月）
     */
    private String balYearMonth = "";
    /**
     * 热处理次数
     */
    private String processSeq = "";
    /**
     * 炉内总时间(分钟)
     */
    private String totalTime = "";
    /**
     * 最低回火温度
     */
    private String lowTemp = "";
    /**
     * 冷却方式
     */
    private String coolingType = "";
    /**
     * 热处理工艺制度
     */
    private String httTechnology = "";

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 热处理生产批次号
     * @return value
     */
    public String getZyBatchId() {
        return zyBatchId;
    }

    /**
     * 热处理生产批次号
     * @param zyBatchId value
     */
    public void setZyBatchId(String zyBatchId) {
        this.zyBatchId = zyBatchId;
    }

    /**
     * 热处理生产批次号序号
     * @return value
     */
    public String getProdIndex() {
        return prodIndex;
    }

    /**
     * 热处理生产批次号序号
     * @param prodIndex value
     */
    public void setProdIndex(String prodIndex) {
        this.prodIndex = prodIndex;
    }

    /**
     * 热处理订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 热处理订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 热处理订单排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 热处理订单排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 装炉时间
     * @return value
     */
    public String getLheatEnterTime() {
        return lheatEnterTime;
    }

    /**
     * 装炉时间
     * @param lheatEnterTime value
     */
    public void setLheatEnterTime(String lheatEnterTime) {
        this.lheatEnterTime = lheatEnterTime;
    }

    /**
     * 出炉时间
     * @return value
     */
    public String getLheatOutTime() {
        return lheatOutTime;
    }

    /**
     * 出炉时间
     * @param lheatOutTime value
     */
    public void setLheatOutTime(String lheatOutTime) {
        this.lheatOutTime = lheatOutTime;
    }

    /**
     * 出口温度
     * @return value
     */
    public String getLheatExitTemp() {
        return lheatExitTemp;
    }

    /**
     * 出口温度
     * @param lheatExitTemp value
     */
    public void setLheatExitTemp(String lheatExitTemp) {
        this.lheatExitTemp = lheatExitTemp;
    }

    /**
     * 节拍
     * @return value
     */
    public String getLheatTaktTime() {
        return lheatTaktTime;
    }

    /**
     * 节拍
     * @param lheatTaktTime value
     */
    public void setLheatTaktTime(String lheatTaktTime) {
        this.lheatTaktTime = lheatTaktTime;
    }

    /**
     * 均热一区炉温曲线(路径)
     * @return value
     */
    public String getLheatCruve1() {
        return lheatCruve1;
    }

    /**
     * 均热一区炉温曲线(路径)
     * @param lheatCruve1 value
     */
    public void setLheatCruve1(String lheatCruve1) {
        this.lheatCruve1 = lheatCruve1;
    }

    /**
     * 均热二区炉温曲线(路径)
     * @return value
     */
    public String getLheatCruve2() {
        return lheatCruve2;
    }

    /**
     * 均热二区炉温曲线(路径)
     * @param lheatCruve2 value
     */
    public void setLheatCruve2(String lheatCruve2) {
        this.lheatCruve2 = lheatCruve2;
    }

    /**
     * 均热三区炉温曲线(路径)
     * @return value
     */
    public String getLheatCruve3() {
        return lheatCruve3;
    }

    /**
     * 均热三区炉温曲线(路径)
     * @param lheatCruve3 value
     */
    public void setLheatCruve3(String lheatCruve3) {
        this.lheatCruve3 = lheatCruve3;
    }

    /**
     * 加热一区炉温曲线(路径)
     * @return value
     */
    public String getLheatCruve4() {
        return lheatCruve4;
    }

    /**
     * 加热一区炉温曲线(路径)
     * @param lheatCruve4 value
     */
    public void setLheatCruve4(String lheatCruve4) {
        this.lheatCruve4 = lheatCruve4;
    }

    /**
     * 加热二区炉温曲线(路径)
     * @return value
     */
    public String getLheatCruve5() {
        return lheatCruve5;
    }

    /**
     * 加热二区炉温曲线(路径)
     * @param lheatCruve5 value
     */
    public void setLheatCruve5(String lheatCruve5) {
        this.lheatCruve5 = lheatCruve5;
    }

    /**
     * 加热三区炉温曲线(路径)
     * @return value
     */
    public String getLheatCruve6() {
        return lheatCruve6;
    }

    /**
     * 加热三区炉温曲线(路径)
     * @param lheatCruve6 value
     */
    public void setLheatCruve6(String lheatCruve6) {
        this.lheatCruve6 = lheatCruve6;
    }

    /**
     * 加热四区炉温曲线(路径)
     * @return value
     */
    public String getLheatCruve7() {
        return lheatCruve7;
    }

    /**
     * 加热四区炉温曲线(路径)
     * @param lheatCruve7 value
     */
    public void setLheatCruve7(String lheatCruve7) {
        this.lheatCruve7 = lheatCruve7;
    }

    /**
     * 加热五区炉温曲线(路径)
     * @return value
     */
    public String getLheatCruve8() {
        return lheatCruve8;
    }

    /**
     * 加热五区炉温曲线(路径)
     * @param lheatCruve8 value
     */
    public void setLheatCruve8(String lheatCruve8) {
        this.lheatCruve8 = lheatCruve8;
    }

    /**
     * 加热六区炉温曲线(路径)
     * @return value
     */
    public String getLheatCruve9() {
        return lheatCruve9;
    }

    /**
     * 加热六区炉温曲线(路径)
     * @param lheatCruve9 value
     */
    public void setLheatCruve9(String lheatCruve9) {
        this.lheatCruve9 = lheatCruve9;
    }

    /**
     * 均热一区平均温度
     * @return value
     */
    public String getLheatAvgTemp1() {
        return lheatAvgTemp1;
    }

    /**
     * 均热一区平均温度
     * @param lheatAvgTemp1 value
     */
    public void setLheatAvgTemp1(String lheatAvgTemp1) {
        this.lheatAvgTemp1 = lheatAvgTemp1;
    }

    /**
     * 均热二区平均温度
     * @return value
     */
    public String getLheatAvgTemp2() {
        return lheatAvgTemp2;
    }

    /**
     * 均热二区平均温度
     * @param lheatAvgTemp2 value
     */
    public void setLheatAvgTemp2(String lheatAvgTemp2) {
        this.lheatAvgTemp2 = lheatAvgTemp2;
    }

    /**
     * 均热三区平均温度
     * @return value
     */
    public String getLheatAvgTemp3() {
        return lheatAvgTemp3;
    }

    /**
     * 均热三区平均温度
     * @param lheatAvgTemp3 value
     */
    public void setLheatAvgTemp3(String lheatAvgTemp3) {
        this.lheatAvgTemp3 = lheatAvgTemp3;
    }

    /**
     * 加热一区平均温度
     * @return value
     */
    public String getLheatAvgTemp4() {
        return lheatAvgTemp4;
    }

    /**
     * 加热一区平均温度
     * @param lheatAvgTemp4 value
     */
    public void setLheatAvgTemp4(String lheatAvgTemp4) {
        this.lheatAvgTemp4 = lheatAvgTemp4;
    }

    /**
     * 加热二区平均温度
     * @return value
     */
    public String getLheatAvgTemp5() {
        return lheatAvgTemp5;
    }

    /**
     * 加热二区平均温度
     * @param lheatAvgTemp5 value
     */
    public void setLheatAvgTemp5(String lheatAvgTemp5) {
        this.lheatAvgTemp5 = lheatAvgTemp5;
    }

    /**
     * 加热三区平均温度
     * @return value
     */
    public String getLheatAvgTemp6() {
        return lheatAvgTemp6;
    }

    /**
     * 加热三区平均温度
     * @param lheatAvgTemp6 value
     */
    public void setLheatAvgTemp6(String lheatAvgTemp6) {
        this.lheatAvgTemp6 = lheatAvgTemp6;
    }

    /**
     * 加热四区平均温度
     * @return value
     */
    public String getLheatAvgTemp7() {
        return lheatAvgTemp7;
    }

    /**
     * 加热四区平均温度
     * @param lheatAvgTemp7 value
     */
    public void setLheatAvgTemp7(String lheatAvgTemp7) {
        this.lheatAvgTemp7 = lheatAvgTemp7;
    }

    /**
     * 加热五区平均温度
     * @return value
     */
    public String getLheatAvgTemp8() {
        return lheatAvgTemp8;
    }

    /**
     * 加热五区平均温度
     * @param lheatAvgTemp8 value
     */
    public void setLheatAvgTemp8(String lheatAvgTemp8) {
        this.lheatAvgTemp8 = lheatAvgTemp8;
    }

    /**
     * 加热六区平均温度
     * @return value
     */
    public String getLheatAvgTemp9() {
        return lheatAvgTemp9;
    }

    /**
     * 加热六区平均温度
     * @param lheatAvgTemp9 value
     */
    public void setLheatAvgTemp9(String lheatAvgTemp9) {
        this.lheatAvgTemp9 = lheatAvgTemp9;
    }

    /**
     * 作业支数（有效生产数量）
     * @return value
     */
    public String getProNum() {
        return proNum;
    }

    /**
     * 作业支数（有效生产数量）
     * @param proNum value
     */
    public void setProNum(String proNum) {
        this.proNum = proNum;
    }

    /**
     * 作业重量
     * @return value
     */
    public String getProWt() {
        return proWt;
    }

    /**
     * 作业重量
     * @param proWt value
     */
    public void setProWt(String proWt) {
        this.proWt = proWt;
    }

    /**
     * 废品支数
     * @return value
     */
    public String getFailNum() {
        return failNum;
    }

    /**
     * 废品支数
     * @param failNum value
     */
    public void setFailNum(String failNum) {
        this.failNum = failNum;
    }

    /**
     * 废品重量
     * @return value
     */
    public String getFailWt() {
        return failWt;
    }

    /**
     * 废品重量
     * @param failWt value
     */
    public void setFailWt(String failWt) {
        this.failWt = failWt;
    }

    /**
     * 离线支数
     * @return value
     */
    public String getOfflineNum() {
        return offlineNum;
    }

    /**
     * 离线支数
     * @param offlineNum value
     */
    public void setOfflineNum(String offlineNum) {
        this.offlineNum = offlineNum;
    }

    /**
     * 离线重量
     * @return value
     */
    public String getOfflineWt() {
        return offlineWt;
    }

    /**
     * 离线重量
     * @param offlineWt value
     */
    public void setOfflineWt(String offlineWt) {
        this.offlineWt = offlineWt;
    }

    /**
     * 返线支数
     * @return value
     */
    public String getReNum() {
        return reNum;
    }

    /**
     * 返线支数
     * @param reNum value
     */
    public void setReNum(String reNum) {
        this.reNum = reNum;
    }

    /**
     * 返线重量
     * @return value
     */
    public String getReWt() {
        return reWt;
    }

    /**
     * 返线重量
     * @param reWt value
     */
    public void setReWt(String reWt) {
        this.reWt = reWt;
    }

    /**
     * 监制人
     * @return value
     */
    public String getProducer() {
        return producer;
    }

    /**
     * 监制人
     * @param producer value
     */
    public void setProducer(String producer) {
        this.producer = producer;
    }

    /**
     * 到场时间
     * @return value
     */
    public String getProducerTime() {
        return producerTime;
    }

    /**
     * 到场时间
     * @param producerTime value
     */
    public void setProducerTime(String producerTime) {
        this.producerTime = producerTime;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 采集/录入时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 采集/录入时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

    /**
     * 操作时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 操作时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 生产(年月日)
     * @return value
     */
    public String getProYearMonthDay() {
        return proYearMonthDay;
    }

    /**
     * 生产(年月日)
     * @param proYearMonthDay value
     */
    public void setProYearMonthDay(String proYearMonthDay) {
        this.proYearMonthDay = proYearMonthDay;
    }

    /**
     * 结算日期（年月）
     * @return value
     */
    public String getBalYearMonth() {
        return balYearMonth;
    }

    /**
     * 结算日期（年月）
     * @param balYearMonth value
     */
    public void setBalYearMonth(String balYearMonth) {
        this.balYearMonth = balYearMonth;
    }

    /**
     * 热处理次数
     * @return value
     */
    public String getProcessSeq() {
        return processSeq;
    }

    /**
     * 热处理次数
     * @param processSeq value
     */
    public void setProcessSeq(String processSeq) {
        this.processSeq = processSeq;
    }

    /**
     * 炉内总时间(分钟)
     * @return value
     */
    public String getTotalTime() {
        return totalTime;
    }

    /**
     * 炉内总时间(分钟)
     * @param totalTime value
     */
    public void setTotalTime(String totalTime) {
        this.totalTime = totalTime;
    }

    /**
     * 最低回火温度
     * @return value
     */
    public String getLowTemp() {
        return lowTemp;
    }

    /**
     * 最低回火温度
     * @param lowTemp value
     */
    public void setLowTemp(String lowTemp) {
        this.lowTemp = lowTemp;
    }

    /**
     * 冷却方式
     * @return value
     */
    public String getCoolingType() {
        return coolingType;
    }

    /**
     * 冷却方式
     * @param coolingType value
     */
    public void setCoolingType(String coolingType) {
        this.coolingType = coolingType;
    }

    /**
     * 热处理工艺制度
     * @return value
     */
    public String getHttTechnology() {
        return httTechnology;
    }

    /**
     * 热处理工艺制度
     * @param httTechnology value
     */
    public void setHttTechnology(String httTechnology) {
        this.httTechnology = httTechnology;
    }


    public String getHttType() {
        return httType;
    }

    public void setHttType(String httType) {
        this.httType = httType;
    }

    private String httType;
}